[USN-3647-1] poppler vulnerabilities


–===============0379760632780134236==
Content-Type: multipart/signed; micalg=”pgp-sha256″;
protocol=”application/pgp-signature”; boundary=”=-YZ4U5QqoUJj+q3OiKG4h”

–=-YZ4U5QqoUJj+q3OiKG4h
Content-Type: text/plain; charset=”UTF-8″
Content-Transfer-Encoding: quoted-printable

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
Ubuntu Security Notice USN-3647-1
May 15, 2018

poppler vulnerabilities
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

A security issue affects these releases of Ubuntu and its derivatives:

– Ubuntu 18.04 LTS
– Ubuntu 17.10
– Ubuntu 16.04 LTS
– Ubuntu 14.04 LTS

Summary:

poppler could be made to crash if it opened a specially crafted PDF.

Software Description:
– poppler: PDF rendering library

Details:

It was discovered that poppler incorrectly handled certain PDF files.
An attacker could possibly use this to cause a denial of service.
(CVE-2017-18267)

It was discovered that poppler incorrectly handled certain PDF files.
An attacker could possibly use this to cause a denial of service. This
issue only affected Ubuntu 14.04 LTS. (CVE-2018-10768)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.04 LTS:
=C2=A0 libpoppler73=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.62.0-2u=
buntu2.1
=C2=A0 poppler-utils=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.62.0-2ubuntu2=
.1

Ubuntu 17.10:
=C2=A0 libpoppler68=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.57.0-2u=
buntu4.3
=C2=A0 poppler-utils=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.57.0-2ubuntu4=
.3

Ubuntu 16.04 LTS:
=C2=A0 libpoppler58=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.41.0-0u=
buntu1.7
=C2=A0 poppler-utils=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.41.0-0ubuntu1=
.7

Ubuntu 14.04 LTS:
=C2=A0 libpoppler44=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.24.5-2u=
buntu4.11
=C2=A0 poppler-utils=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.24.5-2ubuntu4=
.11

In general, a standard system update will make all the necessary
changes.

References:
=C2=A0 https://usn.ubuntu.com/usn/usn-3647-1
=C2=A0 CVE-2017-18267, CVE-2018-10768

Package Information:
=C2=A0 https://launchpad.net/ubuntu/+source/poppler/0.62.0-2ubuntu2.1
=C2=A0 https://launchpad.net/ubuntu/+source/poppler/0.57.0-2ubuntu4.3
=C2=A0 https://launchpad.net/ubuntu/+source/poppler/0.41.0-0ubuntu1.7
=C2=A0 https://launchpad.net/ubuntu/+source/poppler/0.24.5-2ubuntu4.11
–=-YZ4U5QqoUJj+q3OiKG4h
Content-Type: application/pgp-signature; name=”signature.asc”
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

—–BEGIN PGP SIGNATURE—–
Version: GnuPG v2

iQIcBAABCAAGBQJa+yqIAAoJEEW851uECx9p21gQAKaWZOkRozj1UxxAfWKfCxfD
GenVrWmab1kACzN79g/Gmr6N4KruXqA7dgsAe0hQ7ywduS9GjZMLiFv+NBFPpCGY
5hQ45oeWsYTcpSEeGejakKuRbGmevS2V1fryP4/uCpxJZjA2ZMutAl/ZxVJWUAAN
d0cKBiSxw2lYVc4/xWgZIiU8Uk/xwCoZ/TJW/4LJYX4PkmWEAUqjkCLTklf89QW4
cy3c3QNtqUsPJk5s3yxqXr+Su2rGIVQhYEXivWt5yKNZteMIi+QaPsI28IHai2Kq
0eria51iCnmKbZ35S1qEgrLXuPrRue88VQUKGrWWU+3juCQ1yoj1mCVXwSiuN6N/
CjCk+91vpV3ImsgeYuVImBAS1pEyPZ1/TNz48f2pcKZmu90ngBpyWdqBE6WpSF5C
SWCyRIfZkgut7PbheoyPxMlAAxF2BofD6on4zPoJK1/IYFACvcSPdAgwVapdTxwU
GX4Ub8kvQNOCAjI7RBROm1RDaDQb874YFmZkDG2C+Pnlotw3XEoW5O7FCfPzBMkL
VMnPFv2V7N6XGxzTweW6R1UCAd75BveJGxf6GjGSH1N8BD16PSBD7szLrmr8DAcr
E8wWZh+wcWL90ixMbn/iw8r9sqVi3WR2HxdN63jt4n0FJHHrdSV6qIRBIWIHnygy
rTvJtGhWEO8JrmxpLPff
=jn5z
—–END PGP SIGNATURE—–

–=-YZ4U5QqoUJj+q3OiKG4h–

–===============0379760632780134236==
Content-Type: text/plain; charset=”utf-8″
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

–===============0379760632780134236==–